#ifndef TREEWINDOW_H
#define TREEWINDOW_H

#include <QMainWindow>
#include <QTreeWidget>

namespace Ui {
class TreeWindow;
}

class List;

class MyNode : public QTreeWidgetItem
{
  public:
     QString info;
};


class TreeWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit TreeWindow(QWidget *parent = 0);
    ~TreeWindow();

private:
    void displayBranch (QTreeWidgetItem * target,  List & v);
public:
    void displayList (List & v);

private slots:
    void on_treeWidget_itemActivated(QTreeWidgetItem *item, int column);

    void on_treeWidget_itemChanged(QTreeWidgetItem *item, int column);

    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

private:
    Ui::TreeWindow *ui;
};

#endif // TREEWINDOW_H
